a2ps (1:4.15.7-5) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * Tidy up patches.
  * Enable build-time tests.
  * Add proper autopkgtests.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Dec 2025 13:05:00 +0100

a2ps (1:4.15.7-4) unstable; urgency=medium

  * QA upload.
  * Change build-depends and suggests to imagemagick.

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Nov 2025 21:25:00 +0100

a2ps (1:4.15.7-3) unstable; urgency=medium

  * QA upload.
  * Change graphicsmagick-imagemagick-compat to graphicsmagick in BD.
  * Switch watch file to format version 5.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Nov 2025 19:15:00 +0100

a2ps (1:4.15.7-2) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * Pristine-tar = true

  [ Felipe Adonai de Moraes ]
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Felipe Adonai de Moraes <felipe.2002@alunos.utfpr.edu.br>  Wed, 29 Oct 2025 12:58:42 -0300

a2ps (1:4.15.7-1) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1096269
  * Move package to Salsa
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Trim trailing whitespace.
  * Add a missing ',' between the option and the following explanation
    Closes: #971818
  * Fix some formatting in the manual
    Closes: #971822
  * Editorial changes for composeglyphs.1
    Closes: #1099525
  * Editorial changes for fixnt.1
    Closes: #1099832
  * a2ps-lpr-wrapper.1: fix some typographic issues
    Closes: #971930

 -- Andreas Tille <tille@debian.org>  Wed, 27 Aug 2025 09:25:52 +0200

a2ps (1:4.15.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Aug 2024 23:05:49 -0400

a2ps (1:4.15.5-2) unstable; urgency=medium

  * QA upload.
  * debian/rules: Also clean generated tarball caused by calling
    "make dist".

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Aug 2023 21:18:24 -0400

a2ps (1:4.15.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Jun 2023 16:40:32 -0400

a2ps (1:4.15.4-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 18:59:45 -0400

a2ps (1:4.15.4-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Apr 2023 22:35:09 -0400

a2ps (1:4.15.3-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches/0004-pswrite: Dropped, merged upstream.
  * debian/upstream/signing-key.asc: Add upstream signing key.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Mar 2023 12:55:15 -0400

a2ps (1:4.15.2-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #1032575)
    + Fix segfault with --stdin="". (Closes: #660766)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Mar 2023 17:54:30 -0400

a2ps (1:4.15.1-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches:
    - 01_a2ps_el_path_fix.diff: Dropped, not needed anymore.
    - 02_composite_fonts.diff: Dropped, merged upstream.
    - 03_koi8_fonts_debian.diff: Dropped, merged upstream.
    - 04_lp_lpr_workaround.dpatch: Dropped, merged upstream.
    - 05_no_acroread_for_pdf.dpatch: Dropped, no longer applicable.
    + 06-encoding.diff: Only keep part about doc/sheets.texi.
    - 07_a2ps_info.diff: Dropped, merged upstream.
    - 08_man.diff: Dropped, merged upstream.
    - 09_CVE-2001-1593.diff: Dropped, merged upstream.
    - fix-bad-free.diff: Dropped, merged upstream.
    - fix-format-security.diff: Dropped, merged upstream.
    - fix-texi-build.diff: Dropped, merged upstream.
    - CVE-2014-0466.diff: Dropped, merged upstream.
    - manmakefile.-patch-to-use-the-system-hel.patch: Dropped since
      upstream has migrated from embedded help2man to external one.
    - etcmakefile.-pass-arguments-to-date-to-s.patch: Refreshed.
  * debian/patches: Add new patch:
    + 0004-Replace-device-pswrite-with-ps2write-in-fixps.patch:
      Added. (Closes: #1008579)
  * debian/README.source: Dropped, we do not use dpatch anymore.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/rules:
    + Renable autoreconf, we do not need to circumvent
      --runstatedir anymore.
    + Use dh13 syntax.
    + Do not halt if dh_auto_clean fails (before build).
    + Execute "make dist" after build to regenerate .gmo files.
  * debian/control:
    + Add explicit build-dependency on libgc-dev and pkg-config.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Mar 2023 15:53:57 -0400

a2ps (1:4.14-7) unstable; urgency=high

  * QA upload.
  * Done't install a mime entry for text/plain. (Closes: #979231)

 -- Adrian Bunk <bunk@debian.org>  Tue, 09 Feb 2021 17:52:04 +0200

a2ps (1:4.14-6) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * etc/Makefile.*: Pass arguments to date to support SOURCE_DATE_EPOCH
    when generating README. (Closes: #978610)
  * man/Makefile.*: Patch to use the system help2man.
    (Closes: #978609, #971819)
  * debian/control: Add help2man to Build-Depends.
  * doc/a2ps.texi: Remove dates from generated documentation.
    (Closes: #978610)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Update pointer to GPL-3.
  * debian/rules: Switch to dh.
  * debian/rules: Add dh_auto_test override to not fail on test suite
    failures.
  * Update to debhelper-compat 13.
  * debian/rules: Pass --without autoreconf to dh.
  * debian/rules: Pass configure options without --runstatedir, which is
    unsupported in the current configure script.
  * debian/mime: Remove quotes around %s to fix lintian issue.
  * debian/control: Add Homepage.
  * debian/control: Remove Build-Depends on autotools-dev, handled by
    debhelper-compat level.
  * debian/control: Add Vcs headers.
  * debian/control: Update Standards-Version to 4.5.1.

  [ Bjarni Ingi Gislason ]
  * composeglyphs.1: Remove a repeated word (Closes: #971820).
  * fixnt.1: fix formatting of references to manuals (Closes: #971821).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 29 Dec 2020 20:01:09 -0800

a2ps (1:4.14-5) unstable; urgency=medium

  * QA upload.
  * Build-depend on emacs-nox instead of emacs25. Closes: #951522.
  * Avoid encoding problems in doc/a2ps.info.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Feb 2020 08:45:13 +0100

a2ps (1:4.14-4) unstable; urgency=medium

  * QA upload.
  * Recommend cups-client rather than cupsys-client. Closes: #641390.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Oct 2018 09:28:08 +0200

a2ps (1:4.14-3) unstable; urgency=medium

  * QA upload.
  * replace emacs24 build-dependency with emacs25

 -- David Bremner <bremner@debian.org>  Thu, 03 Aug 2017 21:50:31 -0400

a2ps (1:4.14-2) unstable; urgency=medium

  * QA upload.
  * Ack for NMU.
  * Add debian/source/options to allow to build twice.
  * Bump Standards-Version to 3.9.8.
  * Fix, update the debian/watch file.
  * Set Debian QA Group as maintainer. (see #840888)
  * Run wrap-and-sort.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Sun, 06 Nov 2016 05:17:47 -0500

a2ps (1:4.14-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2014-0466.diff patch.
    CVE-2014-0466: fixps does not invoke gs with -dSAFER. A malicious
    PostScript file could delete files with the privileges of the invoking
    user.
    Thanks to brian m. carlson <sandals@crustytoothpaste.net> (Closes: #742902)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Mar 2014 09:09:07 +0200

a2ps (1:4.14-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on emacs24 instead of emacs23. Closes: #682717.
  * Use dpkg-buildflags.
  * Build using autotools-dev.
  * CVE-2001-1593. Fix insecure use of /tmp. Closes: #737385.
  * Fix typo in package description. Closes: #608647.
  * Avoid a bad free in the encoding handling logic (taken from Fedora).
  * Fix build errors with -Wformat=security.
  * Fix texi build error.
  * Stop using dpatch, convert to packaging format 3.0. Closes: #669642.
  * Bump standards version to 3.9.5.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 14:25:04 +0100

a2ps (1:4.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/control.
     - Bump Standards-Version to 3.8.4
     - Update Build-Depends on debhelper 7
     - Update Depends on emacs23 instead of emacs22. (Closes: #571571)
   * Add debian/source/format.
     Set source format to "1.0".
   * Update debian/compat to 7
   * Update debian/copyright
     - Add year of Copyright.
     - Fix copyright-without-copyright-notice lintian warning.
   * Update debian/rules
     - Remove -k from dh_clean
     - Remove usr/share/info/dir after installing.
   * Add new patches.
     - Fix patch-system-but-direct-changes-in-diff
       06_encoding_texi.dpatch, 07_a2ps_info.dpatch
     - Fix manpage-has-errors-from-man.
       08_man.dpatch
   * Update debian/emacsen-startup.
     (Closes: #557775, #507293, #547907, #487183)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 May 2010 11:28:10 +0900

a2ps (1:4.14-1) unstable; urgency=low

  * New upstream release.
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * Sorted out copyright information.  Thanks to Patrick Schoenfeld
    - closes: #448454
  * Now use autoload, not load, in emacsen-startup.  Thanks to Trent W. Buck
    - closes: #446152
  * Now a2ps try to use html2ps for parsing HTML - closes: #424161
    I'll try to support Iceweasel later.
  * Now prefer emacs22 - closes: #434914, #283828
  * Added a manpage for a2ps-lpr-wrapper.  Thanks to Michael Tautschnig
    - closes: #425068
  * debian/emacsen-install: do not load site files when byte-compiling,
    and set symlinks to *.el files
    - closes: #246296, #269409, #401684, #448144
  * prerm, postinst: use emacsen-common stuff only when it is installed
    and configured.
  * rules: do not install emacsen snippets in {prerm,postinst}.
  * Many thanks to Agustin Martin Domingo for these 3 hacks above.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 03 Jan 2008 23:38:51 +0900

a2ps (1:4.13c~rc5-1) unstable; urgency=low

  * New upstream release.
  * Improved Received: handling in mail.ssh - closes: #330665

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 26 Apr 2007 14:23:45 +0900

a2ps (1:4.13c~rc4-1) unstable; urgency=low

  * New upstream release.
  * Improved rules in sheets.map - closes: #280671
  * Now depends on file and psutils - closes: #341116, #360116, #309605
  * Fixed a typo in ogonkify.1 - closes: #311240
  * Added rlpr support - closes: #360119
  * Added PHP support - closes: #380143
  * Now supports newer GV - closes: #390125, #291749, #323361
  * Now supports CP1251 - closes: #286571
  * Now takes care of /usr/share/info/dir - closes: #368829, #404053
  * Now pdiff accepts data on standard input - closes: #305920
  * Now Build-Depends: texlive-base-bin, instead of tetex-bin.
  * Bumped to Standards-Version: 3.7.2.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 11 Feb 2007 20:35:46 +0700

a2ps (1:4.13b.dfsg.1-1) unstable; urgency=low

  * Acknowledged NMU, many thanks pelle - closes: #267527, #350555, #331452, #340044, #322669, #294905
  * Updated FSF's address in debian/copyright.
  * More fixes will come.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 25 Feb 2006 18:37:25 +0900

a2ps (1:4.13b.dfsg.1-0.2) unstable; urgency=medium

  * NMU.
  * Medium urgency due to RC bugfix.
  * Always pass -d to a2ps-lpr-wrapper, regardless of the installed
    printer system when building. Should fix the issue with -P not
    working. Many thanks to Peder Chr. Norgaard for the solution.
    closes: #267527.
  * Really pass correct arguments to gv (GNU-style "--"). closes: #291749.
  * Don't treat all filenames which include the substring "tar" as binary
    files. closes: #350555.
  * Fixed Emacs autoload (a2ps.el, not a2ps-mode.el). Thanks to Francesco
    Potorti`. closes: #331452.
  * Reverted va_list changes from previous upload which already existed in
    debian/patches/22_va_list_fix.dpatch.
  * Don't load non-existent make-regexp.el in a2ps.el.

 -- Per Olofsson <pelle@debian.org>  Tue,  7 Feb 2006 08:50:53 +0100

a2ps (1:4.13b.dfsg.1-0.1) unstable; urgency=medium

  * NMU.
  * Medium urgency due to RC bugfix.
  * Removed non-free test files from upstream tarball. closes: #340044.
  * Applied patch from Russ Allberry to fix printing to the default printer.
    closes: #322669.
  * Applied patch from Julien BLACHE to fix two va_list misuses which
    cause segfaults when executing "a2ps --list=defaults" on certain
    archs. closes: #294905.
  * Don't replace auxdir/config.{guess,sub} when running "debian/rules
    clean". The source should be restored to its original state when
    cleaning.

 -- Per Olofsson <pelle@debian.org>  Sun, 15 Jan 2006 20:11:07 +0100

a2ps (1:4.13b-5) unstable; urgency=low

  * Acknowledged NMUs - closes: #283134, #274798, #286385, #286387
  * Updated Standards-Version (no physical changes).
  * Only Suggests: emacsen-common - closes: #246296, #269409
  * Now uses html2ps instead of netscape, thanks Russ Allbery - closes: #193036, #156636, #147598
  * Improved documentation on option -d - closes: #193530
  * Much improved a2ps-lpr-wrapper, thanks guys - closes: #280370, #267527
  * Updated de.po - closes: #314127
  * Now gives gv correct option - closes: #291749

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed,  3 Aug 2005 00:37:02 +0900

a2ps (1:4.13b-4.3) unstable; urgency=HIGH

  * NMU
  * Applied patches from Javier Fernandez-Sanguino Peña to fix possible
    symlink attacks due to unsafe creation of temporary directories with
    some umasks in psmandu and fixps. closes: #286385, #286387
    (CAN-2004-1377)

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jan 2005 16:31:19 -0500

a2ps (1:4.13b-4.2) unstable; urgency=low

  * NMU
  * Applied patch from Rudolf Polzer to fix bad shell quoting in popen
    that could be exploited to run shell commands if you controlled the
    filename that a2ps opened. Note that the previous fix was insufficient.
    closes: #283134

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Dec 2004 12:59:29 -0500

a2ps (1:4.13b-4.1) unstable; urgency=medium

  * NMU
  * fix handling args on a2ps-lpr-wrapper. (closes: #267527)

 -- Kenshi Muto <kmuto@debian.org>  Wed, 20 Oct 2004 00:57:48 +0000

a2ps (1:4.13b-4) unstable; urgency=high

  * psset & newer sed problem: fixed contrib/psset.in too, thanks Kevin
    B. McCarty - closes: #259210, #258042
  * Applied a fix for ``too many includes'' bug.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 17 Aug 2004 03:34:28 +0900

a2ps (1:4.13b-3) unstable; urgency=high

  * Now uses wrapper script instead of raw lp/lpr - closes: #243907
  * Lowered Recommends on bigger stuff to Suggests - closes: #254281
  * Now Pre-Depends on emacsen-common - closes: #246296
  * Apllied Nix's fix for psset with newer sed - closes: #259210
  * acroread has been totally gone from Debian except unofficial one, so
    let's kill some entries including acroread in a2ps.cfg - closes: #261642
  * Now can be built with gcc 3.4 - closes: #258504
  * Revive 'display' printer - closes: #252798

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 13 Aug 2004 05:08:14 +0900

a2ps (1:4.13b-2) unstable; urgency=low

  * Added psutils to Recommends: - closes: #234861

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed,  3 Mar 2004 20:36:47 +0900

a2ps (1:4.13b-1) unstable; urgency=low

  * Now bring it back to the good old 4.13b - closes: #214258, #219577, #226145, #231075, #232021, #215357, #214977, #221695, #228012, #216009, #214540, #214510, #212185, #213944
  * [control] changed Maintainer field.
  * Bumped to Standards-Version: 3.6.1.
  * Added Recommends: emacsen -closes: #228465
  * Changed dependency to t1-cyrillic and updated koi8.edf - closes: #212738, #212360
  * Now a2ps quotes arguments to file(1), thanks Marc Wilson - closes: #202673

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 15 Feb 2004 15:33:59 +0900

a2ps (4.13b+cvs.2003.09.20-1) unstable; urgency=low

  * Basically test release - more will come soon.
  * New upstream release (CVS snapshot).
  * Acknowledged NMU - closes: #191372
  * Fixed in the upstream - closes: #156077, #143127, #185983, #195249, #126436, #62053, #113057
  * Added some Build-Depends - closes: #207612, #187178, #188347, #193034
  * Added Recommends: cupsys-client - closes: #194061
  * Added composeglyphs.1 manpage by Kevin Kreamer - closes: #39488
  * Ran bootstrap - closes: #201911
  * Patch#10 handles ISO-8859-5 correctly - closes: #201887
  * Patch#11 adds gnuplot support for ogonkify - closes: #194464
  * libpaper support is missing in the upstream.  I'll port it ASAP.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 20 Sep 2003 18:51:32 +0900

a2ps (4.13b-20.1) unstable; urgency=low

  * add emacs21-nox | emacsen to Build-Depends: (closes: #191372)

 -- Rene Engelhard <rene@debian.org>  Sat, 23 Aug 2003 02:44:57 +0200

a2ps (4.13b-20) unstable; urgency=low

  * Now really installs files for S.
  * Now keybindings work for FSF Emacs, too - closes: #189076, #190368
  * Added fixnt manpage by coutesy of Kevin Kreamer - closes: #39488

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 29 Apr 2003 11:48:53 +0900

a2ps (4.13b-19) unstable; urgency=low

  * Now install *.el by hand.  This eliminates the neccesity of emacsen
    on build time.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  6 Apr 2003 20:52:07 +0900

a2ps (4.13b-18) unstable; urgency=low

  * Added flex and bison to Build-Depends - closes: #187605
  * Changed dependency on lpr to Recommends - closes: #187594
  * Now emacsen-install handles *.el - closes: #170906
  * Added S language support - closes: #174539
  * Added Romanian support for ogonkify - closes: #119533

 -- Masayuki Hatta <mhatta@debian.org>  Tue,  1 Apr 2003 12:53:06 +0900

a2ps (4.13b-17) unstable; urgency=low

  * Hijacked (no reply from the previous maintainer).
  * Now uses dpatch to manage patches.
  * 01_composite_fonts.dpatch:
    + Added composite fonts support - closes: #143317, #42824
  * 02_ja_po.dpatch
    + Added ja.po - closes: #143318
  * 03_ko.po.dpatch
    + Updated ko.po - closes: #90819
  * 04_koi8_fonts_debian.dpatch
    + Now uses font names in scalable-cyrfonts - closes: #163967
  * 05_deskjet_numbers_fix.dpatch
    + Fixed wrong default values for deskjet printers - closes: #185775
  * Updated copyright information - closes: #158080
  * More fixes will come soon, stay tuned.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 22 Mar 2003 16:36:13 +0900

a2ps (4.13b-16) unstable; urgency=low

  * src/lexps.l: Applied Akim's patch which closes: #81684.
  * Doesn't use acroread to convert pdf, closes: #61501
  * Adopted the package, closes: #133296

 -- Manfred Wassmann <manolo@NCC-1701.B.Shuttle.de>  Thu,  7 Mar 2002 06:54:41 +0100

a2ps (4.13b-15) unstable; urgency=low

  * auxdir/config.{sub,guess}: Replaced with updated copies (Closes: #132438)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  5 Feb 2002 11:33:13 -0600

a2ps (4.13b-14) unstable; urgency=low

  * Applied patch for improved udiff support (Closes: #132044)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  3 Feb 2002 21:30:43 -0600

a2ps (4.13b-13) unstable; urgency=low

  * debian/preinst: Make rmdir fault-tolerant (Closes: #126138)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  4 Jan 2002 21:30:16 -0600

a2ps (4.13b-12) unstable; urgency=low

  * src/main.c: Applied ia64 patch by John Daily (Closes: #125996)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Dec 2001 19:17:46 -0600

a2ps (4.13b-11) unstable; urgency=low

  * debian/preinst: Nuke /usr/doc/a2ps dir if present
    (but don't close the bug 107232 now assigned to doc-base)
  * debian/control: Add wdiff to Suggets: (Closes: #113053)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Sep 2001 23:07:35 -0500

a2ps (4.13b-10.0.1) unstable; urgency=low

   * Binary-only non-maintainer upload for powerpc; no source changes.
   * rebuild to fix a2ps.cfg  (Closes: #107054)

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Sat, 11 Aug 2001 21:48:46 +0200

a2ps (4.13b-10) unstable; urgency=low

  * debian/rules: Install three new style sheets for GNU R code (i.e.
    written in the S language), its Rd documentation format and the
    Rout transcripts. Also submitted upstream to Akim.  Thanks to Kurt
    Hornik und Torsten Hothorn for their help on this.
  * debian/postrm: Moved install-info to debian/prerm (lintian)
  * debian/control: Changed Build-Depends to  gv | ghostview
  * debian/control: Updated Standards-Version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 May 2001 22:32:56 -0500

a2ps (4.13b-9) unstable; urgency=low

  * ogonkify/doc/ogonkify.1: Added short statement noting that the -C option
    does work under Debian due to missing DFSG-compatible Courier fonts;
    however -A works fine and is how a2ps calls ogonkify. (Closes: #91856)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Apr 2001 22:04:08 -0500

a2ps (4.13b-8) unstable; urgency=low

  * debian/control: Build-Depends on libpaperg-dev (Closes: #85742)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Feb 2001 19:11:31 -0600

a2ps (4.13b-7) unstable; urgency=low

  * debian/control: Suggests: lpr | lprng (Closes: #82404)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Jan 2001 21:44:13 -0600

a2ps (4.13b-6) unstable; urgency=low

  * debian/control: Suggests: acroread for .pdf files (Closes: #81540)
  * Note that we cannot simple use xpdf as actual acroread command-line
    options have been code into a2ps' behaviour. xpdf patches would surely
    be welcomed by the current xpdf maintainer (Hi Hamish!)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  7 Jan 2001 23:54:41 -0600

a2ps (4.13b-5) unstable; urgency=low

  * doc/a2ps.texi: Removed @c from definiton of @pack for non-TeX branch
    so that the current texi2html (1.64-1) can compile a2ps (Closes: #81378)
  * debian/rules: Add perl post-processing to s/a2ps{}/a2ps/g to clean up
    the a2ps.html file produced by texi2html

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  7 Jan 2001 14:15:56 -0600

a2ps (4.13b-4) unstable; urgency=low

  * debian/control: Added texihtml to Build-Depends (Closes: #75463)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Oct 2000 21:18:23 -0500

a2ps (4.13b-3) unstable; urgency=low

  * debian/mime: Update /etc/mailcap entry for a2ps (Closes: #74384)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Oct 2000 19:33:27 -0500

a2ps (4.13b-2) unstable; urgency=low

  * debian/control: Depends, rather than Recommends, on psutils as these
    are needed for a few input formats (cf #64420)
  * debian/rules: Call dh_installexamples with argument sample/[a-zA-Z]*
    to exclude the libtool leftovers (Closes: #65615)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Jun 2000 20:01:43 -0400

a2ps (4.13b-1) unstable; urgency=low

  * Upgraded to new upstream release 4.13b

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 May 2000 22:23:29 -0400

a2ps (4.13-2) frozen unstable; urgency=low

  * contrib/fixps.{in,m4}: New versions from Akim (Closes: #58373)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Feb 2000 20:32:26 -0500

a2ps (4.13-1) frozen unstable; urgency=low

  * Upgraded to new upstream release which fixes a bug with Severity:
    Important (and reported by a2ps' author) whereby postscript with
    embedded bitmaps can be rendered invalid (Closes: #57351)
  * debian/control: Add Build-Conflicts: and Build-Depends: to potato
    release as per Roman's suggestion (Closes: #57402)
  * This version also closes two more old bugs (already fixed in unstable)
    and is therefore recommended as an addition to the potato release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  8 Feb 2000 21:41:43 -0500

a2ps (4.12l-1) unstable; urgency=low

  * Upgraded to new upstream bugfix release (Closes: #22089, #35050)
  * debian/control: Added everything but the kitchen to Build-Depends so
    that the 'make test' target can go about its business (Closes: #57255)
  * debian/control: Also added Build-Conflicts: for lprng (cf #29256)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  7 Feb 2000 20:12:48 -0500

a2ps (4.12k-2) unstable; urgency=low

  * debian/preinst: Correct braindead cut&paste typo (fixed in frozen)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  2 Feb 2000 08:29:14 -0500

a2ps (4.12h-6) frozen; urgency=low

  * debian/preinst: Correct braindead cut&paste typo (Closes: #55765)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  2 Feb 2000 08:29:49 -0500

a2ps (4.12k-1) unstable; urgency=low

  * Upgraded to new upstream release 4.12k

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Jan 2000 20:47:01 -0500

a2ps (4.12h-5) frozen unstable; urgency=low

  * Re-built against .orig.tar.gz and not .tar.gz as with 4.12h-4
  * Also uploading into frozen to get the fix for #55765 into potato

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jan 2000 22:37:18 -0500

a2ps (4.12h-4) unstable; urgency=low

  * debian/preinst: Remove /usr/doc/a2ps/.dhelp if found (Closes: #55765)
  * debian/control: Added Build-Depends
  * debian/control: Changed Standards-Version to 3.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Jan 2000 21:30:17 -0500

a2ps (4.12h-3) unstable; urgency=low

  * configure: s/passwd.h/pwd.h/ upon Akim's advice (Closes: #53553)
  * etc/a2ps_cfg.in: Removed -tempfile for acroread invocation

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Jan 2000 20:04:12 -0500

a2ps (4.12h-2) unstable; urgency=low

  * sheets/sheets.map: Corrected LaTeX section in coordination with Akim
    following a .dvi translation bug found

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  2 Dec 1999 20:52:02 -0500

a2ps (4.12h-1) unstable; urgency=low

  * Upgraded to new upstream release 4.12h

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Nov 1999 19:16:38 -0500

a2ps (4.12g-2) unstable; urgency=low

  * sheets.map: Remove ambigious sed reference upon Akim's advice

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Nov 1999 20:37:43 -0500

a2ps (4.12g-1) unstable; urgency=low

  * Upgraded to new upstream release 4.12g

  * psset: Problem with $quiet fixed in new release (Closes: #50451)

  * sheets/ocaml.ssh: Added new file by Markus Mottl (Closes: #50538)
  * sheets/sheets/Makefile.in: Updated accordingly
  * sheets/sheets.map: Files with .ml extensions now use ocaml.ssh

  * contrib/card.m4: Patched for safer tempfile use (Closes: #50747)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Nov 1999 12:09:27 -0500

a2ps (4.12c-1) unstable; urgency=low

  * Upgraded to new upstream release 4.12c (Closes: #45813)
  * According to Akim, this should fix the build problem on m68k/glibc2.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Sep 1999 22:07:29 -0400

a2ps (4.12a-2) unstable; urgency=low

  * Rebuilt with newer debhelper, as well as with explicit #DEBHELPER#
    targets in postinst and prerm, to ensure orderly symlink handling of
    /usr/doc/a2ps to /usr/share/doc/a2ps (Closes: #45917, #45919, #45926)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Sep 1999 22:56:14 -0400

a2ps (4.12a-1) unstable; urgency=low

  * Upgraded to new upstream release 4.12a
  * debian/rules: Adapted to use /usr/share/ following the recommendation
    on FHS transition from the Technical Committee
  * debian/rules: Test for debhelper >= 2.0.40 for FHS compliance
  * debian/control: Upgraded to Debian Policy 3.0.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Sep 1999 20:04:04 -0400

a2ps (4.12-4) unstable; urgency=low

  * texi2dvi4a2ps:  Corrected broken temp. file creation by adopting code
    from texi2dvi from the newest texinfo package  (Closes: #43111)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Aug 1999 23:24:24 -0400

a2ps (4.12-3) unstable; urgency=low

  * [debian/conffiles] Added /etc/a2ps-site.cfg
  * [debian/rules] Configure with NLS support (fixes #40127)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Jun 1999 11:22:20 -0400

a2ps (4.12-2) unstable; urgency=low

  * [debian/texi2dvi4a2ps] Updated to new version (fixes #35050)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Mar 1999 18:01:14 -0500

a2ps (4.12-1) unstable; urgency=low

  * Upgraded to new upstream release 4.12

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  5 Mar 1999 22:28:05 -0500

a2ps (4.10.4i-3) unstable; urgency=low

  * debian/rules: Do not install ansi2knr.1 (fixes #33120)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  9 Feb 1999 18:57:20 -0500

a2ps (4.10.4i-2) unstable; urgency=low

  * debian/{rules,postinst,postrm}: Removed support for html documentation
    through menu as it is now provided by doc-base

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jan 1999 21:02:11 -0500

a2ps (4.10.4i-1) unstable; urgency=low

  * Upgraded to new upstream release 4.10.4i from alpha.gnu.org
  * Added doc-base support (fixes #31156)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  5 Jan 1999 21:23:18 -0500

a2ps (4.10.4d-1) unstable; urgency=low

  * Upgraded to new upstream release 4.10.4d from alpha.gnu.org
  * Upon our suggestion, a2ps provides upstream support for libpaper
  * debian/postinst: Simplified as we no longer need perl to adapt
    /etc/a2ps.cfg according to /etc/papersize, a2ps now uses libpaper
  * debian/control: Upgraded to Standards-Version: 2.5.0
  * debian/rules: Added '$(MAKE) check' to the build stage

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Nov 1998 20:32:12 -0500

a2ps (4.10.4-4) frozen unstable; urgency=low

  * Rewrote postinst to not depend on English.pm so that a2ps can be
    installed on systems with perl-base only (fixes #30032)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Nov 1998 19:33:13 -0500

a2ps (4.10.4-3) frozen unstable; urgency=low

  * Rebuilt package on a system with lpr (not lprng) (fixes #29256)
  * Changed from Recommends: to 'Suggests: tetex-bin' (fixes #29171 #29347)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Nov 1998 10:57:46 -0500

a2ps (4.10.4-2) frozen unstable; urgency=low

  * debian/rules: Corrected code to produce html file (fixes #28680)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  8 Nov 1998 15:44:41 -0500

a2ps (4.10.4-1) unstable; urgency=low

  * Upgraded to new upstream version 4.10.4
  * Added support for mime-support (fixes #26708)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Sep 1998 22:33:31 -0400

a2ps (4.10.3-1) unstable; urgency=low

  * Upgraded to new upstream version 4.10.3

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  2 Jul 1998 18:50:00 -0400

a2ps (4.10.2-4) frozen unstable; urgency=medium

  * Changed texi2dvi4a2ps to use tempfile(1) (fixes #23671)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Jun 1998 19:29:31 -0400

a2ps (4.10.2-3) unstable; urgency=low

  * Added 'Recommends: groff, tetex-bin, psutils' to debian/control to
    reflect the need for other programs used by a2ps in its 'automatic
    delegation' mode for file conversion (fixes #23352)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  9 Jun 1998 21:50:41 -0400

a2ps (4.10.2-2) unstable; urgency=low

  * Corrected perl path in /usr/bin/compose program and reported
    this (lintian-detected) buglet to the upstream author
  * Added undocumented(7) link for /usr/bin/compose

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 May 1998 10:49:04 -0400

a2ps (4.10.2-1) unstable; urgency=low

  * Upgraded to new upstream version 4.10.2
  * Converted debian/rules to debhelper

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 May 1998 12:23:12 -0400

a2ps (4.10-4) frozen unstable; urgency=high

  * Corrected papersize configuration for /etc/a2ps.cfg yet another time
    to fix the upgrade path from the 4.10-{1,2,3} versions --- postinst
    should now cope with this (fixes #20848, #20901)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Apr 1998 17:34:42 -0400

a2ps (4.10-3) frozen unstable; urgency=low

  * Corrected papersize configuration for /etc/a2ps.cfg again --- now
    substitutes 'ucfirst $paper' if the value chosen by --medium is
    different from the one in /etc/papersize (fixes #20149)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Mar 1998 19:57:46 -0500

a2ps (4.10-2) frozen unstable; urgency=low

  * Corrected papersize configuration for /etc/a2ps.cfg in postinst (#19945)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Mar 1998 20:23:29 -0500

a2ps (4.10-1) unstable; urgency=low

  * Upgraded to new upstream version 4.10
  * Really generate the html version of the texi documentation.
  * Upgraded to Debian Policy 2.4.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Mar 1998 22:08:34 -0500

a2ps (4.8.4-2) unstable; urgency=low

  * Oops, had left install-info call commented out in the postinst during
    testing. Thanks to Joost for spotting this so quickly.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  7 Sep 1997 11:33:09 -0400

a2ps (4.8.4-1) unstable; urgency=low

  * New upstream version (which fixed the bugs #8016, #8873, #9917 and
    #11203 which requested an upgrade to a newer version)
  * Bug #7207 (a2ps passes -l to lpr) appears to be fixed in this (almost
    completely) rewritten version of a2ps, prints fine via magicfilter.
  * Bug #8976, however, is unfixable in a2ps: apsfilter contains a
    complete (albeit much older) version of a2ps and installs the a2ps
    binary in an internal directory, but installs the a2ps manual page as
    well! That is braindead --- if apsfilter needs a2ps, it should depend
    on a2ps. Moreover, apsfilter has long been orphaned and does not appear
    to have been updated upstream in a long time either.
  * Moved from non-free to main as a2ps is now released under GNU GPL
  * Upgrade to Debian Policy 2.3.0.0
  * Compiled with GNU libc2 aka libc6
  * Ships the unmodified upstream source as a2ps_4.8.4.orig.tar.gz
  * New maintainer

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  6 Sep 1997 23:36:46 -0400

a2ps (4.4-1) unstable; urgency=medium

  * Updated to Standards Version 2.1.1.0
  * Applied patches for m68k builds (Bug#3911)
  * New upstream version patches for libpaper (Bug#1874,6511)
  * Added postinst to check for and create /etc/papersize
  * Built for ELF (Bug#4568)

 -- Jon Rabone <jkr@debian.org>  Wed, 29 Jan 1997 10:47:49 +0000

a2ps (4.3-1) unstable; urgency=medium

  * Initial release

 -- K MacDonald <K.MacDonald@ed.ac.uk>  Wed, 1 Feb 1995 00:00:00 +0000
